package com.jeeplus.test.cw.projectRecords.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import com.jeeplus.sys.service.dto.OfficeDTO;
import com.jeeplus.sys.service.dto.UserDTO;
import lombok.Data;

import java.util.Date;

/**
 * @author: 徐滕
 * @version: 2022-11-10 14:55
 */
@Data
@TableName("cw_project_records")
public class CwProjectRecords extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目所属部门
     */
    @Query(type = QueryType.EQ, tableColumn = "su.office.id", javaField = "officeDTO.id")
    private OfficeDTO officeDTO;

    /**
     * 项目金额
     */
    private String projectMoney;

    /**
     * 审计期间
     */
    private String auditYear;

    /**
     * 项目计划开始时间
     */
    private Date planStartDate;

    /**
     * 项目计划结束时间
     */
    private Date planEndDate;

    /**
     * 项目经理
     */
    @Query(tableColumn = "a.project_master_id", javaField = "master.id", type = QueryType.EQ)
    private UserDTO projectMaster;

    /**
     * 现场负责人
     */
    @Query(tableColumn = "a.project_leader_id", javaField = "leader.id", type = QueryType.EQ)
    private UserDTO projectLeader;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    @Query
    private String status;

}
